<?php
class Search_FromTo extends netsControl {
	public function Search_FromTo(){
		$this->netsControl();
	}
	public function Control($pColumn){
		$tmpControl=$pColumn['stcotName'].'Txt'.$pColumn['NameExtend'];
		$tmpValues=explode($this->sysSPLIT2,$pColumn['Value']);
		if(count($tmpValues)!=2){
			$tmpValues=array('','',);
		}
?>
<!-- #<?php echo ($tmpControl); ?> -->
<div id="<?php echo ($tmpControl); ?>PanelBox" class="SearchCell">
<!--S.<?php echo ($tmpControl); ?>-->
<div id="<?php echo ($tmpControl); ?>_Label" class="SearchTitle"><?php echo ($pColumn['stcoctUiName']); ?>：</div>
<div class="SearchControl"><table class="" cellpadding="0" cellspacing="0"><tr><td class="FromTo_1">
<input id="<?php echo($tmpControl); ?>_From" name="<?php echo($tmpControl); ?>_From" type="text" class="SControl1 ControlText FromTo_Textbox"
onclick="tmpControl.onControlLight(this,'ControlText FromTo_Textbox');<?php echo($pColumn['Parameter_JS_Onclick']); ?>"
onblur="tmpControl.onControlBlur(this,'ControlText FromTo_Textbox');<?php echo($pColumn['Parameter_JS_Onblur']); ?>"
onfocus="tmpControl.chooseCall('<?php echo ($pColumn['Parameter']); ?>',this);<?php echo($pColumn['Parameter_JS_Onfocus']); ?>"
onchange="tmpFromTo.calaValue('<?php echo($tmpControl); ?>');<?php echo($pColumn['Parameter_JS_Onchange']); ?>"
onmouseover="<?php echo($pColumn['Parameter_JS_Onmouseover']); ?>"
onmouseout="<?php echo($pColumn['Parameter_JS_Onmouseout']); ?>"
value="<?php echo ($tmpValues[0]); ?>" style="<?php echo ($pColumn['ControlStyle']); ?>" />
</td><td class="FromTo_2">&nbsp;</td><td class="FromTo_3">-</td><td class="FromTo_2">&nbsp;</td><td class="FromTo_4">
<input id="<?php echo($tmpControl); ?>_To" name="<?php echo($tmpControl); ?>_To" type="text" class="SControl1 ControlText FromTo_Textbox"
onclick="tmpControl.onControlLight(this,'ControlText FromTo_Textbox');<?php echo($pColumn['Parameter_JS_Onclick']); ?>"
onblur="tmpControl.onControlBlur(this,'ControlText FromTo_Textbox');<?php echo($pColumn['Parameter_JS_Onblur']); ?>"
onfocus="tmpControl.chooseCall('<?php echo ($pColumn['Parameter']); ?>',this);<?php echo($pColumn['Parameter_JS_Onfocus']); ?>"
onchange="tmpFromTo.calaValue('<?php echo($tmpControl); ?>');<?php echo($pColumn['Parameter_JS_Onchange']); ?>"
onmouseover="<?php echo($pColumn['Parameter_JS_Onmouseover']); ?>"
onmouseout="<?php echo($pColumn['Parameter_JS_Onmouseout']); ?>"
value="<?php echo ($tmpValues[1]); ?>" style="<?php echo ($pColumn['ControlStyle']); ?>" />
</td></tr></table>
<input id="<?php echo($tmpControl); ?>" name="<?php echo($tmpControl); ?>" type="hidden" value="<?php echo ($pColumn['Value']); ?>" /></div>
<!--sendRequest--><!--E.<?php echo ($tmpControl); ?>--></div>
<?php
	}
}
?>